[SCM] libav/experimental: add support for git in version.sh (use short hash as version number)
siretart at users.alioth.debian.org
siretart at users.alioth.debian.org
Sun Jun 30 16:08:33 UTC 2013
The following commit has been merged in the experimental branch:
commit 40eaf7806d861ac61c1585e8999983fbcddb7e94
Author: Aurelien Jacobs <aurel at gnuage.org>
Date: Sat Oct 20 00:07:48 2007 +0000
add support for git in version.sh (use short hash as version number)
Originally committed as revision 10817 to svn://svn.ffmpeg.org/ffmpeg/trunk
diff --git a/version.sh b/version.sh
index 06991c4..f8b111c 100755
--- a/version.sh
+++ b/version.sh
@@ -6,6 +6,12 @@ test $revision || revision=`cd "$1" && grep revision .svn/entries 2>/dev/null |
test $revision || revision=`cd "$1" && sed -n -e '/^dir$/{n;p;q}' .svn/entries 2>/dev/null`
test $revision && revision=SVN-r$revision
+# check for git short hash
+if ! test $revision; then
+ revision=`cd "$1" && git log -1 --pretty=format:%h`
+ test $revision && revision=git-$revision
+fi
+
# no version number found
test $revision || revision=UNKNOWN
--
Libav/FFmpeg packaging
More information about the pkg-multimedia-commits
mailing list